summaryrefslogtreecommitdiffstats
path: root/tests/version.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2017-07-22 22:17:36 (EDT)
committer P. J. McDermott <pj@pehjota.net>2017-07-22 22:17:36 (EDT)
commit0e2bff314aa5382cd09c5d2c256629302cda3410 (patch)
tree629d157ad8d66f34bdbcd7f9ac110bf38fc3461b /tests/version.sh
parenteed4e5cdf19b0389e109e4e6c3c9b2b53cf5923c (diff)
tests/version.sh: New test file
Diffstat (limited to 'tests/version.sh')
-rwxr-xr-xtests/version.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/version.sh b/tests/version.sh
new file mode 100755
index 0000000..17248e0
--- /dev/null
+++ b/tests/version.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# This file is part of the ProteanOS Archive Manager.
+#
+# The ProteanOS Archive Manager is free software: you can redistribute
+# it and/or modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# The ProteanOS Archive Manager is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with the ProteanOS Archive Manager. If not, see
+# <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. ${srcdir}/tests/aux/tap-functions.sh
+
+plan_ 2
+
+case "$(./pro-archman -V)" in
+ 'pro-archman '*) result_ 'ok' -- 'version option output';;
+ *) result_ 'not ok' -- 'version option output';;
+esac
+
+case "$(./pro-archman version)" in
+ 'pro-archman '*) result_ 'ok' -- 'version command output';;
+ *) result_ 'not ok' -- 'version command output';;
+esac